API
Networks
List Networks

List Private Networks

Returns private networks available to the authenticated user.


Endpoint

GET /cloud/v1/network/private_networks

Example

curl https://api.redu.cloud/cloud/v1/network/private_networks \
  -H "x-api-key: YOUR_API_KEY"

Successful Response

[
  {
    "id": "32081aab-e6c7-40d8-bb04-90b0dbb7e8ee",
    "name": "john-privatenetwork-9a95ac42-f4dc-4ae6-89b5-c5e0bf69a192",
    "tenant_id": "719015812e824d5b874b4190dde8f43c",
    "project_id": "719015812e824d5b874b4190dde8f43c",
    "status": "ACTIVE",
    "admin_state_up": true,
    "mtu": 1442,
    "subnets": ["a3856f60-4128-4c12-ae3c-b080f56dbdeb"],
    "shared": false,
    "port_security_enabled": true,
    "created_at": "2026-02-09T16:03:36Z",
    "updated_at": "2026-02-09T16:03:38Z",
    "provider:network_type": "geneve",
    "provider:segmentation_id": 1796
  }
]

Response Schema

Network

FieldTypeDescription
idstringNetwork ID
namestringNetwork name
tenant_idstringTenant ID (legacy OpenStack field)
project_idstringOwning project ID
statusstringNetwork status (ACTIVE, etc.)
admin_state_upbooleanWhether the network is administratively enabled
mtuintegerMaximum transmission unit
subnetsstring[]Subnet IDs attached to this network
sharedbooleanWhether the network is shared
port_security_enabledbooleanWhether port security is enabled
created_atstringCreation timestamp (ISO 8601 UTC)
updated_atstringLast update timestamp (ISO 8601 UTC)
provider:network_typestringBackend network type (e.g. geneve)
provider:segmentation_idintegerSegmentation identifier

Errors

401 Unauthorized

{
  "error": {
    "code": "unauthorized",
    "message": "Invalid API key"
  }
}

403 Forbidden

The API key does not have access to the requested project.